Subject: Re: sub-list value type for package stats

From: "Rosen, Brian" <[email-masked]>
Date: Wed, 15 Mar 2000 10:08:45 -0500

Can anyone come up with a statistic that has anything other than
a single value?

If there is, then we should make statistics use parmValue.

I'm not sure I understand the problem of parmValue not allowing
a sublist.  It seems to:
parmValue            = (EQUAL alternativeValue/ INEQUAL VALUE)
alternativeValue     = ( VALUE / LSBRKT VALUE *(COMMA VALUE) RSBRKT  /
                       LSBRKT VALUE DOT DOT VALUE RSBRKT )

Brian

> -----Original Message-----
> From: Vikas Salota [mailto:[email-masked]]
> Sent: Wednesday, March 15, 2000 4:57 AM
> To: [email-masked]
> Subject: sub-list value type for package stats
>
>
> Hi !
> There seems to be a discrepancy in the possible package stats values
> type as defined in Sec 12.2 and the ABNF. Sec 12.2 suggests
> that package
> stats can be of type sub-list but the ABNF does not support sub-list
> values for stats values. To support the sub-list type stats
> values, the
> ABNF definition
>                 statisticsParameter  = pkgdName EQUAL VALUE
> should be changed to
>                 statisticsParameter  = pkgdName EQUAL (VALUE / LSBRKT
> VALUE *(COMMA VALUE) RSBRKT )
>
> Although similar change would have been necessitated in the definition
> of parmValue too if it were not for the support of
> over-specification of
> these values. Since due to possible over specification of
> these values,
> sub-list type of values for package signals and events can be
> supported
> with the current definition of parmValue. But then we can't
> over specify
> package events/signals of type sub-list because a list of values for
> these type of events/signals would always be interpreted as
> the sub-list
> value. If we have to support over specification of sub-list typed
> events/signals, the definition of parmValue should be changed
> to support
> list of sub-list values too.
>
> with regards
> Vikas Salota
>

---

From: Vikas Salota <[email-masked]>
Date: Thu, 16 Mar 2000 13:44:23 +0530

>                        LSBRKT VALUE DOT DOT VALUE RSBRKT )

Vikas>> I am sorry for not being clear. I was trying to indicate that
parmValue can support sub-list values. So if MG receives a list of values
for a sub-list typed package event/signal, the list of values would be
treated as the sub-list value for that package event/signal. But then how do
we over specify value for these types of package events/signals with the
existing definition of parmValue. For overspecifiying value for these type
of package events/signal, MGC would need to send a list of sub-list values
for the MG to choose from, which is not possible with the current definition
of parmValue.

with regards
Vikas Salota